<?php
/* ======================================================
 # Virtuemart Sales for Joomla! - v7.1.8 (free version)
 # -------------------------------------------------------
 # For Joomla! CMS (v4.x)
 # Author: Web357 (Yiannis Christodoulou)
 # Copyright (©) 2014-2023 Web357. All rights reserved.
 # License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
 # Website: https:/www.web357.com
 # Demo: https://demo.web357.com/joomla/virtuemart-sales
 # Support: support@web357.com
 # Last modified: Monday 10 July 2023, 03:54:31 AM
 ========================================================= */
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

abstract class VMSalesHelper
{
	public static function addSubmenu($submenu) 
	{
		// Get Joomla! version
		$jversion = new JVersion;
		$short_version = explode('.', $jversion->getShortVersion()); // 3.8.10
		$mini_version = $short_version[0].'.'.$short_version[1]; // 3.8

		if (!version_compare( $mini_version, "2.5", "<=")) :
			
			// J3X
			JHtmlSidebar::addEntry(JText::_('Overview'), 'index.php?option=com_vmsales&view=overv', $submenu == 'overv');
			JHtmlSidebar::addEntry(JText::_('Settings'), 'index.php?option=com_config&view=component&component=com_vmsales', $submenu == 'settingscore');
			JHtmlSidebar::addEntry(JText::_('About Web357'), 'index.php?option=com_vmsales&view=about', $submenu == 'about');
	
		else:
			
			// J25X
			$vName = JFactory::getApplication()->input->get('view', 'overv', 'CMD');
			echo JSubMenuHelper::addEntry( JText::_('Overview'), 'index.php?option=com_vmsales&view=overv', $vName == 'overv' );
	
			$vName = JFactory::getApplication()->input->get('view', 'about', 'CMD');
			echo JSubMenuHelper::addEntry( JText::_('About Web357'), 'index.php?option=com_vmsales&view=about', $vName == 'about' );

		endif; 
	}

	/**
	 * Gets a list of the actions that can be performed.
	 *
	 * @return    JObject
	 */
	public static function getActions()
	{
		$user = JFactory::getUser();
		$result = new JObject;
		$assetName = 'com_snippets';

		$actions = array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.state', 'core.delete'
		);

		foreach ($actions as $action)
		{
			$result->set($action, $user->authorise($action, $assetName));
		}

		return $result;
	}

}